#include <sys/systm.h>
#include <mach/mach_types.h>

extern void dump_reg();

kern_return_t bt8xx2_start (kmod_info_t * ki, void * d)
{
    printf("Module has loaded!\n");
    dump_reg();
    return KERN_SUCCESS;
}
kern_return_t bt8xx2_stop (kmod_info_t * ki, void * d)
{
    printf("Module will be unloaded\n");
    return KERN_SUCCESS;
}